#### 7.10.3.2 lpIsSemiPrime

Procedure from library `fpaprops.lib` (see fpaprops_lib).

Usage:
  lpIsSemiPrime(G); G an ideal in a Letterplace ring

Return:
  boolean

Purpose:
  Check whether A/<LM(G)> is semi-prime ring,
  alternatively whether <LM(G)> is a semi-prime ideal in A.

Assume:
  - basering is a Letterplace ring
  - G is a Groebner basis

Theory:
  A (two-sided) ideal I in the ring A is semi-prime, if for any a in A one has aAa subseteq I implies a in I.

Note:
  lpIsSemiPrime works with the monomial algebra A/<LM(G)>. A positive answer holds for both A/<LM(G)> and A/<G>, while a negative answer applies only to A/<LM(G)> and not necessarily to A/<G>.

Example:

    LIB "fpaprops.lib";
    ring r = 0,(x1,x2),dp;
    def R = freeAlgebra(r, 5);
    setring R;
    ideal G = x1*x2, x2*x1; // K<x1,x2>/<x1*x2,x2*x1> is semi prime
    lpIsSemiPrime(G);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.